From b46e3a39786a5be04bf9cc3844dd184308cd7495 Mon Sep 17 00:00:00 2001
From: Ben Walsh <b@wumpster.com>
Date: Sat, 6 Jun 2020 10:38:15 +0100
Subject: [PATCH] Specify GTK_REQUEST_CONSTANT_SIZE. Fixes #773.

---
 src/panel.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/panel.c b/src/panel.c
index da9e718b..b52fc796 100644
--- a/src/panel.c
+++ b/src/panel.c
@@ -293,6 +293,12 @@ lxpanel_get_preferred_height (GtkWidget *widget,
   if (natural_height)
       *natural_height = requisition.height;
 }
+
+static GtkSizeRequestMode
+lxpanel_get_request_mode (GtkWidget *widget)
+{
+    return GTK_SIZE_REQUEST_CONSTANT_SIZE;
+}
 #endif
 
 static void lxpanel_size_allocate(GtkWidget *widget, GtkAllocation *a)
@@ -413,6 +419,7 @@ static void lxpanel_class_init(PanelToplevelClass *klass)
 #if GTK_CHECK_VERSION(3, 0, 0)
     widget_class->get_preferred_width = lxpanel_get_preferred_width;
     widget_class->get_preferred_height = lxpanel_get_preferred_height;
+    widget_class->get_request_mode = lxpanel_get_request_mode;
 #else
     widget_class->size_request = lxpanel_size_request;
 #endif
-- 
2.27.0

